> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 組織のデフォルトプラットフォームを取得 (Devin API)

> v3 組織 API を使用して、組織のデフォルトの Devin セッション配置先 (ホスト型プラットフォームのラベルまたは outpost プール) を取得します

新しいセッションに適用される、組織全体のデフォルトの配置先を返します。これは webapp の **Settings > Devin > Default platform** に表示される値と同じです。

## 権限

組織のメンバーである[サービスユーザー](https://docs.devin.ai/ja/api-reference/v3/service-users/members-service-users.md)または[パーソナルアクセストークン](https://docs.devin.ai/ja/api-reference/personal-access-tokens.md)が必要です。

## 動作

* ホスト型のデフォルトは `platform` に返されます (例: `linux` や `windows`) 。
* アウトポストのデフォルトは `outpost_pool_id` に返されます。そのプールが引き続き組織で利用可能な場合は、`outpost_pool_name` も併せて返されます。
* デフォルトが設定されていない場合、3つのフィールドはすべて `null` になります。この場合、セッションは標準的なホスト型プラットフォーム上で run されます。
* ユーザー個人のデフォルト (セッションコンポーザーのプラットフォーム選択メニューで星印を付けたもの) は、そのユーザー自身のセッションではこの値よりも優先されます。


## OpenAPI

````yaml ja/v3-openapi.json GET /v3beta1/organizations/{org_id}/default-platform
openapi: 3.1.0
info:
  title: Devin API v3
  description: サービスユーザー認証とRBACに対応したDevin v3 API
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3beta1/organizations/{org_id}/default-platform:
    get:
      tags:
        - organization-settings
      summary: 組織のデフォルトプラットフォームを取得
      description: |-
        新しいセッションに適用される、組織の既定の配置先を取得します。

        これは、設定 > Devin に表示される組織全体の既定値です。
        ユーザー個人の既定値が設定されている場合、そのユーザーの
        セッションでは個人の既定値が優先されます。保存済みの既定の配置先が組織で
        利用できなくなっていても、その値は返されます（セッション作成時にはスキップされます）。
      operationId: >-
        handle_get_org_default_platform_v3beta1_organizations__org_id__default_platform_get
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            type: string
            title: Org Id
            example: org-abc123def456
          description: '組織 ID（プレフィックス: org-）'
      responses:
        '200':
          description: 成功レスポンス
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrgDefaultPlatformResponse'
        '401':
          description: 認証されていません
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
        '403':
          description: アクセスが禁止されています
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
        '404':
          description: 見つかりません
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
        '409':
          description: 競合
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
        '410':
          description: 削除済み
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
        '422':
          description: 処理できないコンテンツ
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
        '429':
          description: リクエストが多すぎます
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
components:
  schemas:
    OrgDefaultPlatformResponse:
      properties:
        platform:
          anyOf:
            - type: string
            - type: 'null'
          title: Platform
          description: >-
            新しいセッションがデフォルトで実行されるホスト型プラットフォームのラベル（例：'linux',
            'windows'）。デフォルトがアウトポストプールの場合、または未設定の場合は Null。
        outpost_pool_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Outpost Pool Id
          description: 新しいセッションがデフォルトで実行されるアウトポストプール。デフォルトがホスト型プラットフォームの場合、または未設定の場合は Null。
        outpost_pool_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Outpost Pool Name
          description: >-
            デフォルトのアウトポストプールの名前。デフォルトがアウトポストプールではない場合、または組織がそのプールを利用できなくなった場合は
            Null。
      type: object
      required:
        - platform
        - outpost_pool_id
        - outpost_pool_name
      title: OrgDefaultPlatformResponse
      description: 新しいセッションに適用される、組織のデフォルトの実行先。
    ProblemDetail:
      properties:
        type:
          type: string
          title: Type
          description: 問題タイプを識別する URI 参照。
          default: about:blank
        title:
          type: string
          title: Title
          description: 問題タイプの、人が読める短い要約。
        status:
          type: integer
          title: Status
          description: HTTP ステータスコード。
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          description: この発生事象に固有の、人が読める説明。
        instance:
          anyOf:
            - type: string
            - type: 'null'
          title: Instance
          description: この発生事象の URI 参照（リクエストパス）。
        errors:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Errors
          description: フィールド単位のバリデーションエラー（422レスポンスの場合のみ）。
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
          description: ブロックされた操作の拒否理由を示す機械可読コード（例："user_frozen", "migrated_session"）。
      type: object
      required:
        - title
        - status
      title: ProblemDetail
      description: >-
        v3 API 向けの RFC 9457 application/problem+json エラーボディ。


        detail は後方互換性のため、レガシーな {"detail": ...}
        ボディから引き続き保持されています。その他のメンバーは追加式です。errors にはフィールド単位の検証エラーが格納されます（422
        の場合のみ）。
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: 'サービスユーザーの credential（プレフィックス: cog_）'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.